// radioactive-0.5/driver.h

// RadioActive Copyright (C) 1999 RDI Gerg <cactus@cactus.rulez.org>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2
// (included in the RadioActive distribution in doc/GPL) as published by
// the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

//$Id: driver.h,v 1.7 1999/06/05 17:20:00 cactus Exp $ -*- c++ -*-
#ifndef RADIO_DRIVER_H
#define RADIO_DRIVER_H

#include "radioactive.h"
#include <string>
#include <gtk--.h>

class Radio: public Gtk_Signal_Base
{
    int fd;
    int vol;
    bool muted;
    double fq;
public:
    Radio(const string& devicefile = DEVFILE);
    void mute(bool mute);
    void toggle_mute();

    void set(double freq);
    double get() {return fq;};
    void set_vol(int lvl);
    int get_vol() {return vol;};
    bool get_mute() {return muted;};
private:
    double get_freq_fact();
};

#endif
