// radioactive-0.5/speedtuner.h

// RadioActive Copyright (C) 1999 RDI Gerg <cactus@cactus.rulez.org>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2
// (included in the RadioActive distribution in doc/GPL) as published by
// the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

// $Id: speedtuner.h,v 1.3 1999/05/28 19:42:01 cactus Exp $ -*- c++ -*-
#ifndef RADIO_speedtune
#define RADIO_speedtune

#include <gtk--.h>
#include <vector>

class SpeedTuner: public Gtk_Table
{
    vector<Gtk_Button*> btnProg;
    vector<float> prog_vals;
public:
    SpeedTuner(int row, int col);
    ~SpeedTuner();
    Signal1<float> clicked;
    Signal1<int> rclicked;
    void set(const vector<float>& values);
    void set(int index, float value);
    vector<float> get();

private:
    void btnProg_clicked(int btn);
    int btnProg_mouse(GdkEventButton *e, int btn);
};

#endif
