// radioactive-0.5/tuner.h

// RadioActive Copyright (C) 1999 RDI Gerg <cactus@cactus.rulez.org>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2
// (included in the RadioActive distribution in doc/GPL) as published by
// the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

// $Id: tuner.h,v 1.5 1999/06/06 10:40:00 cactus Exp $ -*- c++ -*-
#ifndef RADIO_TUNER
#define RADIO_TUNER

#include "gtk--.h"

class Tuner: public Gtk_HScale
{
    Gtk_Adjustment tuner_data;
//    Gtk_HScale tuner_scale;
public:
    Tuner(float min, float max);
    Signal1<float> tune;
    Signal1<float> set_value;
private:
    void tuner_changed();
    void set_value_impl(float value);
};

#endif
