// radioactive-0.5/volume.h

// RadioActive Copyright (C) 1999 RDI Gerg <cactus@cactus.rulez.org>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2
// (included in the RadioActive distribution in doc/GPL) as published by
// the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

// $Id: volume.h,v 1.3 1999/06/05 17:20:00 cactus Exp $ -*- c++ -*-
#ifndef RADIO_volume
#define RADIO_volume

#include <gtk--.h>

class Volume: public Gtk_Table
{
    Gtk_Adjustment vol_adj;
    Gtk_VScale vol_scale;
    Gtk_ToggleButton btn;
public:
    Volume();
    Signal1<bool> mute;
    Signal1<int> change;
    int get();
    void set(int val);
    void set_mute(bool state);
private:
    void volume_changed();
    void mute_toggle();
};

#endif
