// radioactive-0.5/radioactive.h

// RadioActive Copyright (C) 1999 RDI Gerg <cactus@cactus.rulez.org>
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License version 2
// (included in the RadioActive distribution in doc/GPL) as published by
// the Free Software Foundation.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

//$Id: radioactive.h,v 1.12 1999/06/10 14:46:50 cactus Exp $ -*- c++ -*-
#ifndef RADIO_h
#define RADIO_h

#define PROGNAME "RadioActive"
#define VERSION "0.5"
#define RADIO_RCDIR ".radioactive"
#define DEVFILE "/dev/radio0"

#define RADIO_PROGBUTTON_COL 3
#define RADIO_PROGBUTTON_ROW 3

#define RADIO_FREQ_MIN  87
#define RADIO_FREQ_MAX 110
#define RADIO_VOL_MIN 0
#define RADIO_VOL_MAX 10
#define RADIO_VOL_DEF 8

#ifdef USE_GNOME
#define USE_GNOME_NLS
#endif

#ifdef USE_GNOME_NLS
#define     ENABLE_NLS
#include    <libgnome/libgnome.h>
#else /* USE_GNOME_NLS */
#define     RADIO_GETTEXT
#include    <locale.h>
#ifdef      RADIO_GETTEXT
#include         <libintl.h>
#define          _(String) gettext(String)
#else       /* RADIO_GETTEXT */
#define          _(String) String
#define          textdomain(Domain)
#define          bindtextdomain(Package, Directory)
#endif      /* RADIO_GETTEXT */
#endif /* USE_GNOME_NLS */

#endif
